# Restore previously anonymised user

Endpoint: POST /v3/user/make-known/{identifier}/{identifier_value}
Version: 3.0.0
Security: BearerAuth

## Path parameters:

  - `identifier` (string, required)

  - `identifier_value` (string, required)

## Request fields (application/json):

  - `email` (string, required)
    Example: john.smith@example.org

  - `UID` (string)
    Example: ABC123

  - `first_name` (string)
    Example: John

  - `last_name` (string)
    Example: Smith

  - `company_name` (string)
    Example: Smith Co Ltd.

  - `billing_phone` (string)
    Example: +441234567890

  - `billing_email` (string)
    Example: accounts@example.org

  - `billing_address_line_1` (string)
    Example: 123 Example Road

  - `billing_address_line_2` (string)
    Example: City District

  - `billing_postcode` (string)
    Example: EX4 4PL

  - `billing_county` (string)
    Example: Lancashire

  - `billing_country` (string)
    Example: United Kingdom

  - `get_login` (boolean)
    Example: true

## Response 200 fields (application/json):

  - `status` (integer)
    Example: 200

  - `timestamp` (string)
    Example: 1970-01-30T00:00:00.000000Z

  - `data` (object)

  - `data.id` (integer)
    Example: 987654

  - `data.UID` (string)
    Example: ABC123

  - `data.first_name` (string)
    Example: John

  - `data.last_name` (string)
    Example: Smith

  - `data.email` (string)
    Example: john.smith@example.org

  - `data.created_at` (string)
    Example: 1970-01-30T00:00:00.000000Z

  - `data.login_url` (string)
    Example: https://example.yourperx.com/auth-token/BkfEhiym5mvKYSrAp5iQ0YnRTB9mdo3r9kLXe6EuEhTPoAONLNIJ8TNzGerJVwgX

